Our Blog
Read the latest from our team, client spotlights and industry news.

Joomla 1.5 & 2.5 Critical Updates!

Joomla 1.5 and 2.5 are now well past their end of life dates, leaving websites built on these platforms potentially vulnerable in a number of areas. While these versions of Joomla were amazing and served their purpose, technology has evolved and newer versions have been developed to address issues in functionality surrounding devices being used and how users use the web.  This affects a number of areas for websites built using Joomla 1.5 or 2.5, such as:

  1. Website security - patches are no longer being developed 
  2. Software and component compatibility - developers are building components and extensions for current CMS versions
  3. End of Life cycle - support and updates for Joomla 1.5 and 2.5 are no longer available
  4. Technology Advancements - browsers, web standards and platform technology have changed, such as the evolution from desktop to mobile browsing.
  5. Google Alerts - Google has begun rolling out alerts for sites using older CMS platforms, and search result penalties are never far behind.

For more information on upgrading your CMS and what all this means

Click Here